:
# NAME:
#	config_listfuncs.sh - functions used by install_files et al
#
# DESCRIPTION:
#	Functions shared by config_funcs.sh and config_setup.sh
#
# SEE ALSO:
#	install_files(8), config_setup.sh(8), config_funcs.sh(8)
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>
#
#	

# RCSid:
#	$Id: config_listfuncs.sh,v 1.5 2006/07/13 23:18:51 sjg Exp $
#
#	@(#) Copyright (c) 1995 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

. $CONFIGS/config.d/shpp.sh

SHPP_CAT=build_list
SHPP=shpp

# build_list, if caller wants to support .include etc
# they should set SHPP=shpp otherwise we just use cat.

_build_list() {
	names=${*-$Myname.$EXT}

	if [ "$INCLUDED_LIST" ]; then
		for n in $names
		do
			echo $n >> $INCLUDED_LIST
		done
	fi

	for d in ${REV_LIST:-$DIR_LIST}
	do
		for f in $names
		do
			[ -s $d/$f ] && ${SHPP:-cat} < $d/$f
		done
		#
		# the grep avoids blanks and comments
		#
	done | grep '^[^#	]'
}

build_list() {
	#
	# update_{file,host} set LIST_RE
	#
	case "$LIST_RE" in
	"")	_build_list $*;;
	*)	_build_list $* | egrep "$LIST_RE";;
	esac
}

find_file() {
	case "$1" in
	""|/*)	f=$1;;
	*)	f="/$1";;
	esac
	for d in $DIR_LIST
	do
                t=`set -- $d$f; echo $1`
		[ ${2:-"-f"} $t -o $TEST_L $t ] && { echo $t; break; }
	done
}


find_all() {
	all=
	for d in ${REV_LIST:-$DIR_LIST}
	do
                t=`set -- $d$1; echo $1`
		[ ${2:-"-f"} $t -o $TEST_L $t ] && all="$all $t"
	done
	echo $all
}
