:
# NAME:
#	remove_setup.sh - common setup for remove_*
#
# DESCRIPTION:
#	
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>
#
#	

# RCSid:
#	$Id: remove_setup.sh,v 1.3 2002/09/17 07:31:33 sjg Exp $
#
#	@(#) Copyright (c) 1995 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

. $Mydir/config_funcs.sh

# this lot is adapted from install_funcs.sh
SHPP_DO=.include,.require
SHPP=shpp
export SHPP

noMyname="no_$Myname ${altName:+no_}$altName"

# first build an exclude list. 
# for each element we skip an exact match as well as
# any sub-dirs.
EXCLUDES=`for e in $noMyname; do build_list $e.$EXT; done`

elists=`for e in $noMyname; do build_list ${e}_lists.list; done`

tf=${TMP:-/tmp}/$Myname.$$

build_list $Myname.$EXT $altList > $tf

rlists=`for i in $Myname $altName; do find_all /${i}_lists.$EXT; done`

case "$rlists" in
*/*)
	for list in `cat $rlists | sort -u`
	do
		skipl=
		for ex in $elists
		do
			eval "case '$list' in $ex|$ex.list) skipl=yes; break;; esac"
		done
		[ "$skipl" ] || build_list $list >> $tf
	done
        ;;
esac


SkipIt() {
        for ex in $EXCLUDES
	do
		eval "case '$1' in $ex|$ex/*) echo yes; break;; esac"
	done
}
